MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Apply Held Page RemovalsApprove Discovered PagesCancel SyncAdd Website SourceDelete Website SourceList Website SourcesList Website Source SyncsRefresh Website Source NowUpdate Website Source
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceKnowledge Base Website Sources

Apply Held Page Removals

POST
/v1/knowledge-bases/{knowledge_base_id}/web-sources/{source_id}/syncs/{sync_id}/apply-removals

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

knowledge_base_id*Knowledge Base Id
Formatuuid
source_id*Source Id
Formatuuid
sync_id*Sync Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/web-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/syncs/497f6eca-6276-4993-bfeb-53cbbbba6f08/apply-removals"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "web_source_id": "5261719d-d683-4f22-b3e0-16d35beec156",  "trigger": "string",  "phase": "string",  "map_complete": true,  "discovered_urls": [    {}  ],  "excluded_discovered": [    {}  ],  "approved_urls": [    "string"  ],  "failed_urls": [    {}  ],  "pages_new": 0,  "pages_changed": 0,  "pages_unchanged": 0,  "pages_removed": 0,  "pages_failed": 0,  "credits_used": 0,  "error": "string",  "started_at": "2019-08-24T14:15:22Z",  "finished_at": "2019-08-24T14:15:22Z"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Knowledge Base Website Sources

Endpoints in the Knowledge Base Website Sources group.

Approve Discovered Pages

Next Page